Debian Bug report logs - #626940
live-build: support installing tasks using apt-get

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Mon, 16 May 2011 14:12:01 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a16-1

Fixed in version live-build/3.0~a17-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#626940; Package live-build. (Mon, 16 May 2011 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 May 2011 14:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: live-build: support installing tasks using apt-get
Date: Mon, 16 May 2011 15:09:25 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a16-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

apt-get has had the ability to install tasks itself for a few years now.
We use this in Ubuntu since it means we only need aptitude or tasksel if
we need more interactivity; for simply installing packages that contain
a given entry in their Task field, apt-get is more lightweight.  The
attached patch adds support for this to live-build, and makes it the
default for Ubuntu.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Allow-installing-tasks-using-apt-get-and-do-so-by-de.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#626940; Package live-build. (Mon, 16 May 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 May 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 626940@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 626940@bugs.debian.org
Subject: Re: Bug#626940: live-build: support installing tasks using apt-get
Date: Mon, 16 May 2011 22:12:51 +0200
tag 626940 pending
thanks

On 05/16/2011 04:09 PM, Colin Watson wrote:
> apt-get has had the ability to install tasks itself for a few years now.
> We use this in Ubuntu since it means we only need aptitude or tasksel if
> we need more interactivity; for simply installing packages that contain
> a given entry in their Task field, apt-get is more lightweight.  The
> attached patch adds support for this to live-build, and makes it the
> default for Ubuntu.

applied (and switched default to apt for all but squeeze), thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 May 2011 20:15:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 18 May 2011 18:21:15 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Wed, 18 May 2011 18:21:15 GMT) Full text and rfc822 format available.

Message #17 received at 626940-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 626940-close@bugs.debian.org
Subject: Bug#626940: fixed in live-build 3.0~a17-1
Date: Wed, 18 May 2011 18:17:42 +0000
Source: live-build
Source-Version: 3.0~a17-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a17-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a17-1_all.deb
live-build_3.0~a17-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a17-1.debian.tar.gz
live-build_3.0~a17-1.dsc
  to main/l/live-build/live-build_3.0~a17-1.dsc
live-build_3.0~a17-1_all.deb
  to main/l/live-build/live-build_3.0~a17-1_all.deb
live-build_3.0~a17.orig.tar.gz
  to main/l/live-build/live-build_3.0~a17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626940@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 19:49:53 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 623356 626367 626905 626940
Changes: 
 live-build (3.0~a17-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating squeeze point release number.
   * Updating ubuntu releases.
   * Enabling xz compression by default for artax-backports.
   * Updating url for debian-installer daily-images.
 .
   [ Ben Armstrong ]
   * Using gdm3 for wheezy instead of gdm.
 .
   [ Daniel Baumann ]
   * Don't add security repository for wheezy.
   * Avoid wrong security mirrors when building for artax-backports.
   * Correct derivative main sources.list entries.
   * Correcting wrongly attributed -m switch to --mirror-bootstrap,
     thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #626905).
   * Correcting comments about which ubuntu release is LTS and which not
     in releases list.
   * Removing defaults for the alpha architecture, not supported by
     debian anymore.
 .
   [ Colin Watson ]
   * Allow installing tasks using apt-get, and do so by default for
     Ubuntu (Closes: #626940).
 .
   [ Daniel Baumann ]
   * Switching to apt as tasksel for all distributions, except Debian
     squeeze.
   * Updating to standards version 3.9.2.
   * Completing files section in live-build manpage (Closes: #626367).
   * Correcting top-level makefile to automatically get all the supported
     languages, rather than defining a static list.
 .
   [ liandro sg ]
   * Be more careful with subshells (Closes: #623356).
Checksums-Sha1: 
 ee45f7b79603206e5744df3a7bf6c3bd71646b17 1282 live-build_3.0~a17-1.dsc
 0392c689a61cbf932bd67faf0213512d25df975a 1944214 live-build_3.0~a17.orig.tar.gz
 87f662cdf151e7fc01d98a5a2bc218def45d4d52 40605 live-build_3.0~a17-1.debian.tar.gz
 44a656f090907b2c11f2434a2b9ea88ea9b9f30d 1176488 live-build_3.0~a17-1_all.deb
 c3047616a07d218e52328612165867e8789b8454 56786 live-build-cgi_3.0~a17-1_all.deb
Checksums-Sha256: 
 e196e0e5bc3783824be0539ad505a5fa08daa73524d48ceb80b2dac3880e64a0 1282 live-build_3.0~a17-1.dsc
 e64b6aa9b9d9f7f543f5323df764adcb4e15df3a73988153bb5d43315510d77c 1944214 live-build_3.0~a17.orig.tar.gz
 5fb5062ca620b0d177b56885d7c51ac6ef28f75a95b33b0fc7ece51b2a1ffcfc 40605 live-build_3.0~a17-1.debian.tar.gz
 f4e83a0ec933abf081748bc6517eb16fb7184f947463d78328ab48e9f8712cc0 1176488 live-build_3.0~a17-1_all.deb
 0f9c47d178b30fd35264fb91f64a0ab5de7cbd526ca345502374561c7085b809 56786 live-build-cgi_3.0~a17-1_all.deb
Files: 
 a1942df815147dad7548df7c555da587 1282 misc optional live-build_3.0~a17-1.dsc
 fb3cf9000f93b4a98d688191437bea2b 1944214 misc optional live-build_3.0~a17.orig.tar.gz
 0b56c1427e8d8af7b7bbabcbebe373d8 40605 misc optional live-build_3.0~a17-1.debian.tar.gz
 b3baf253f5cbab76db0d00060d7fc3bf 1176488 misc optional live-build_3.0~a17-1_all.deb
 a0f5d053bcf05bd788a327d8ad3ba503 56786 misc optional live-build-cgi_3.0~a17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3UCIQACgkQ+C5cwEsrK56udQCg4pn0fryC43dJ8DmuTIp05bhJ
LtYAn1uHrYAnDIcqcyUlBAETzXpB6GoY
=rf7f
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jun 2011 07:34:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:28:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.